`lqr_progress_set_end`
Prev | Progress reports | Next

## Name

lqr_progress_set_end — execude custom code after each rescaling operation

## Synopsis

    #include <lqr.h>

`LqrRetVal lqr_progress_set_end(` | LqrProgress* p,
| LqrProgressFuncEnd end_func`)`;

## Description

The function `lqr_progress_set_end` sets the hook `end_func` to the `LqrProgress` object pointed to by `p`.

The function `end_func` is of type `LqrProgressFuncEnd`, whose prototype is defined by:

    typedef LqrRetVal (*LqrProgressFuncEnd) (const gchar* end_message);

Each time that the function `lqr_carver_resize`(3) performs a rescale operation (recall that it can perform more than one rescale operation at each call) this function will be called at the end, with a string argument passed through the parameter `end_message`, which is different for horizontal and vertical rescalings.

The message arguments can be set with the functions `lqr_progress_set_end_width_message`(3) and `lqr_progress_set_end_height_message`(3).

## Return value

The return value follows the Liquid Rescale library signalling system.

## See also

LqrRetVal(3), `lqr_progress_new`(3), `lqr_progress_set_init`(3), `lqr_progress_set_update`(3), `lqr_progress_set_init_width_message`(3), `lqr_progress_set_init_height_message`(3), `lqr_progress_set_end_width_message`(3), `lqr_progress_set_end_height_message`(3), `lqr_progress_set_update_step`(3), `lqr_carver_set_progress`(3)

Prev | Up | Next
`lqr_progress_set_update` | Home | `lqr_progress_set_update_step`